Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519465 - [Embedded Ansible] ServiceUI - MyServices - Credentials do not show
Summary: [Embedded Ansible] ServiceUI - MyServices - Credentials do not show
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Allen W
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On: 1515039
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 18:07 UTC by Satoe Imaishi
Modified: 2018-03-06 15:10 UTC (History)
10 users (show)

Fixed In Version: 5.9.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1515039
Environment:
Last Closed: 2018-03-06 15:10:08 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Observe Credentials Section (deleted)
2017-12-15 19:49 UTC, Kedar Kulkarni
no flags Details
Observe Credentials Section (deleted)
2017-12-15 19:50 UTC, Kedar Kulkarni
no flags Details

Comment 3 CFME Bot 2017-11-30 18:13:17 UTC
New commit detected on ManageIQ/manageiq-ui-service/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-service/commit/0e282e91e67e7e7e9721b6ab2e48413c7940291f

commit 0e282e91e67e7e7e9721b6ab2e48413c7940291f
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Thu Nov 30 10:19:33 2017 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Nov 30 13:07:22 2017 -0500

    Merge pull request #1291 from AllenBW/bug/master/#1515039-missing-ansible-credential
    
    BZ#1515039-Ensure cloud_credential is captured for representation
    (cherry picked from commit 14896a4d0191e2f7f2155088b75bb27218d817b7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1519465

 .../app/services/service-details/service-details-ansible.component.js   | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Kedar Kulkarni 2017-12-15 19:49:52 UTC
Created attachment 1368641 [details]
Observe Credentials Section

Partially fixed. Now VMware credentials are listed both on OPS UI and SSUI, but if we change to Amazon, or Azure or anything else, only VMware and OSP creds are currently shown in OPS UI Service Details. We should show any kind of creds applied to service in OPS UI, since we show those in Service UI as well.

Comment 5 Kedar Kulkarni 2017-12-15 19:50:58 UTC
Created attachment 1368642 [details]
Observe Credentials Section

Comment 6 Allen W 2017-12-15 19:53:49 UTC
Hmm I disagree with the resolution here Kendar.  SUI does indeed appear fixed, if Ops isn't showing something, that would be a new bz, referencing this one.

Comment 9 Kedar Kulkarni 2017-12-15 19:58:19 UTC
Creating a new BZ with OPS UI issue


Note You need to log in before you can comment on or make changes to this bug.